POST api/NTOrderSettings/PostMedication
Request Information
URI Parameters
None.
Body Parameters
MedicationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 200 |
|
| Sequence | integer |
None. |
|
| Description | string |
String length: inclusive between 0 and 4000 |
|
| Protocols | string |
String length: inclusive between 0 and 4000 |
|
| lstMedicationDose | Collection of MedicationDoseDTO |
None. |
|
| lstMedicationBrand | Collection of MedicationBrandDTO |
None. |
|
| SearchedBrand | string |
String length: inclusive between 0 and 100 |
|
| IsAuthorizationRequired | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Protocols": "sample string 5",
"lstMedicationDose": [
{
"Id": 1,
"DoseName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"IsClassifiedAsMedicalTreatment": true,
"TangAndCompanyCode": "sample string 6",
"Instruction": "sample string 7",
"IsFavourite": true,
"Quantity": 1,
"CPTCode": "sample string 9",
"NDCCode": "sample string 10",
"IsAuthorizationRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
},
{
"Id": 1,
"DoseName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"IsClassifiedAsMedicalTreatment": true,
"TangAndCompanyCode": "sample string 6",
"Instruction": "sample string 7",
"IsFavourite": true,
"Quantity": 1,
"CPTCode": "sample string 9",
"NDCCode": "sample string 10",
"IsAuthorizationRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
}
],
"lstMedicationBrand": [
{
"Id": 1,
"BrandName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
{
"Id": 1,
"BrandName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
],
"SearchedBrand": "sample string 6",
"IsAuthorizationRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfMedicationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MedicationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"Sequence": 3,
"Description": "sample string 4",
"Protocols": "sample string 5",
"lstMedicationDose": [
{
"Id": 1,
"DoseName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"IsClassifiedAsMedicalTreatment": true,
"TangAndCompanyCode": "sample string 6",
"Instruction": "sample string 7",
"IsFavourite": true,
"Quantity": 1,
"CPTCode": "sample string 9",
"NDCCode": "sample string 10",
"IsAuthorizationRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
},
{
"Id": 1,
"DoseName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"IsClassifiedAsMedicalTreatment": true,
"TangAndCompanyCode": "sample string 6",
"Instruction": "sample string 7",
"IsFavourite": true,
"Quantity": 1,
"CPTCode": "sample string 9",
"NDCCode": "sample string 10",
"IsAuthorizationRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
}
],
"lstMedicationBrand": [
{
"Id": 1,
"BrandName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
{
"Id": 1,
"BrandName": "sample string 2",
"Sequence": 3,
"MedicationId": 4,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
],
"SearchedBrand": "sample string 6",
"IsAuthorizationRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.0981152-07:00",
"DateUpdated": "2026-08-04T14:26:02.0981152-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
},
"totalCount": 3
}